/**
 * @file wakeupfirmware.ino
 * @author René Bohne
 * @brief This Firmware wakes up a geeny modem and prints the most relevant information
 * @date 2021-04-01
 * 
 * @copyright Copyright (c) 2021 René Bohne
 * 
 */

#include <Wire.h>
#include <GEENYmodem.h>

GEENYmodem modem = GEENYmodem();

void setup(void)
{

  Serial.begin(115200);
  Serial1.begin(115200);

  while (!Serial)
    delay(10);
  Serial.println("GEENYmodem test!");

  // Try to initialize!
  if (!modem.begin(Serial1, Serial))
  {
    Serial.println("Failed to find GEENYmodem");
    while (1)
    {
      delay(10);
    }
  }
  Serial.println("GEENYmodem Found!");

  String mi = modem.getModemInfo();
  Serial.print("Modem Info: ");
  Serial.println(mi);

  Serial.print("Modem IMEI: ");
  Serial.println(modem.getIMEI());

  Serial.print("SIM IMSI: ");
  Serial.println(modem.getIMSI());

  Serial.print("SIM CCID: ");
  Serial.println(modem.getSimCCID());

  modem.wakeup("ENTER_YOUR_API_KEY_HERE");
}

void loop()
{
}